Nueva versión de Moodle 1.9.7+

Fuente: Noticias Moodle

Hola amigos, hace pocos días os anunciabamos la nueva versión de la plataforma, pues no han tardado en sacar una nueva versión corrigiendo cierto fallos en la seguridad de moodle.

A continuación procedemos a resumiros algunas de las modificaciones:

– Obligación de los usuarios de la plataforma a cambiar la contraseña de su cuenta, a una password robusta, combinando carácteres numéricos, alfanumericos y NO alfanuméricos.

-Obligación a modficar la contraseña también a los administradores del portal

Para reducir el riesgo de robo de contraseñas, incluir un SALT en el config.php en la instalación nueva y para las actualizaciones, los administradores reciben un correo electrónico que se recomienda que lo hagan.

Los profesores pierden el permiso para incluir los datos del usuario en cualquier  copia de seguridad o restaurar un curso, incluyendo los datos del usuario debido a las nuevas capacidades moodle / backup: userinfo y moodle / restauración: userinfo que no están establecidos para la función predeterminada de profesor.

Sitios con funciones personalizadas deben revisar cuidadosamente los permisos.

Los administradores pueden restaurar los permisos, pero son informados de los riesgos al hacerlo.

Contraseñas de usuario hash ya no se guardan en los archivos de copia de seguridad. Si se restaura una copia de seguridad a un nuevo sitio, los usuarios se les pedirá que pasar por el “Olvidé mi contraseña” rutina de la primera vez que inicien la sesión in

Moodle ya no sirven los archivos Flash subido a los navegadores con los antiguos plugins de flash. Los administradores pueden establecer el mínimo requerido versión del reproductor Flash en el sitio de administración> Seguridad> HTTP de Seguridad.

Esperamos que os sea de ayuda y de interés saludos.